Creates or updates inventory quantities in batch
curl --request POST \
--url https://api.bspk.com/api/platform/v1/products/inventories/batches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inventories": [
{
"product_ref": "prd-123",
"sku": "sku-123",
"quantity": 10,
"store_ref": "str1",
"at": "2021-01-01T00:00:00Z"
}
]
}
'import requests
url = "https://api.bspk.com/api/platform/v1/products/inventories/batches"
payload = { "inventories": [
{
"product_ref": "prd-123",
"sku": "sku-123",
"quantity": 10,
"store_ref": "str1",
"at": "2021-01-01T00:00:00Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inventories: [
{
product_ref: 'prd-123',
sku: 'sku-123',
quantity: 10,
store_ref: 'str1',
at: '2021-01-01T00:00:00Z'
}
]
})
};
fetch('https://api.bspk.com/api/platform/v1/products/inventories/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"results": [
{
"index": 123,
"status": "<string>",
"message": "<string>"
}
]
}Products
Creates or updates inventory quantities in batch
Updates inventory quantities for multiple products in a single request.
POST
/
api
/
platform
/
v1
/
products
/
inventories
/
batches
Creates or updates inventory quantities in batch
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
⌘I
